/*
  Test SHT11 Humidity Temp Sensor Code
*  
*/

#include "simpletools.h"                      // Include simple tools
#include "sht11.h"                            // SHT11 Sensor

  //Define pins used for testing
int  DatPin = 9;
int  ClkPin = 8;

// Create an instance of the structure to return measured value
sht11values_t MyVals;
sht11values_t *pMyVals;



int main()                                    // Main function
{
long Hum;
long TmpC;
long TmpF;
long Status;

  // Add startup code here.
  // Assign the address of our structure to the pointer
  pMyVals = &MyVals;
  pause(1000);
  Start(DatPin,ClkPin,pMyVals);
  printf("Starting Measurements\n");
  Status = ReadStatusReg();
  printf("Status Reg = %d\n",Status);

  while(1)                                    // Repeat indefinitely
  {
    // Add main loop code here.
    Measure();
    Hum = pMyVals->rhlin;
    TmpC = pMyVals->tempC;
    TmpF = pMyVals->tempF;
    printf("H:%d.%d%% T:%d.%dC, %d.%dF\n",Hum/10,Hum%10,TmpC/10,TmpC%10,TmpF/10,TmpF%10);
    printf("rawhum: %d\n",pMyVals->rawhum);
    printf("rawtemp: %d\n",pMyVals->rawtemp);
    printf("rhlin: %d\n",pMyVals->rhlin);
    printf("rhtrue: %d\n",pMyVals->rhtrue);
    printf("tempC: %d\n",pMyVals->tempC);
    printf("tempF: %d\n",pMyVals->tempF);
    printf("\n");
    pause(10000);                             //Pace the measurement

    
  }  
}
